Package org.eclipse.lemminx.extensions.xsi

## Class XSISchemaModel

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsi.XSISchemaModel

    public class XSISchemaModel
    extends Object

This class holds values that represent the XSI xsd. Can be seen at https://www.w3.org/2001/XMLSchema-instance

### Field Summary

Fields
`static String` `NIL_DOC`
`static String` `NO_NAMESPACE_SCHEMA_LOCATION_DOC`
`static String` `SCHEMA_LOCATION_DOC`
`static String` `TYPE_DOC`
`static String` `XSI_DOC`
`static String` `XSI_WEBSITE`

### Constructor Summary

Constructors
`XSISchemaModel()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `computeCompletionResponses​(ICompletionRequest request, ICompletionResponse response, DOMDocument document, boolean generateValue, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.Hover` `computeHoverResponse​(DOMAttr attribute, IHoverRequest request)`
`static void` `computeValueCompletionResponses​(ICompletionRequest request, ICompletionResponse response, DOMDocument document)`
`static boolean` `isXSISchemaLocationAttr​(String name, DOMAttr attr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_DOC

    public static final String TYPE_DOC

See Also:
  Constant Field Values

#### NIL_DOC

    public static final String NIL_DOC

See Also:
  Constant Field Values

#### SCHEMA_LOCATION_DOC

    public static final String SCHEMA_LOCATION_DOC

#### NO_NAMESPACE_SCHEMA_LOCATION_DOC

    public static final String NO_NAMESPACE_SCHEMA_LOCATION_DOC

#### XSI_WEBSITE

    public static final String XSI_WEBSITE

See Also:
  Constant Field Values

#### XSI_DOC

    public static final String XSI_DOC

See Also:
  Constant Field Values

### Constructor Detail

#### XSISchemaModel

    public XSISchemaModel()

### Method Detail

#### computeCompletionResponses

    public static void computeCompletionResponses​(ICompletionRequest request,
                                                  ICompletionResponse response,
                                                  DOMDocument document,
                                                  boolean generateValue,
                                                  SharedSettings sharedSettings)
                                           throws BadLocationException

Throws:
  `BadLocationException`

#### computeValueCompletionResponses

    public static void computeValueCompletionResponses​(ICompletionRequest request,
                                                       ICompletionResponse response,
                                                       DOMDocument document)
                                                throws BadLocationException

Throws:
  `BadLocationException`

#### computeHoverResponse

    public static org.eclipse.lsp4j.Hover computeHoverResponse​(DOMAttr attribute,
                                                               IHoverRequest request)

#### isXSISchemaLocationAttr

    public static boolean isXSISchemaLocationAttr​(String name,
                                                  DOMAttr attr)